Package org.apache.sysds.runtime.functionobjects

# Class ValueComparisonFunction

java.lang.Object
org.apache.sysds.runtime.functionobjects.FunctionObject
org.apache.sysds.runtime.functionobjects.ValueFunction
org.apache.sysds.runtime.functionobjects.ValueComparisonFunction

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `Equals`, `GreaterThan`, `GreaterThanEquals`, `LessThan`, `LessThanEquals`, `NotEquals`

public abstract class ValueComparisonFunction extends ValueFunction
Abstraction for comparison (relational) operators in order to force a proper implementation by all relevant subclasses.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValueComparisonFunction()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`compare(boolean in1, boolean in2)`
`abstract boolean`
`compare(double in1, double in2)`
`abstract boolean`
`compare(long in1, long in2)`
`abstract boolean`
`compare(String in1, String in2)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValueComparisonFunction

public ValueComparisonFunction()

## Method Details

### compare

public abstract boolean compare(double in1, double in2)

### compare

public abstract boolean compare(long in1, long in2)

### compare

public abstract boolean compare(boolean in1, boolean in2)

### compare

public abstract boolean compare(String in1, String in2)